#ifndef GSCMINSAT_H_
#define GSCMINSAT_H_

typedef unsigned char boolean;
  #define false 0
  #define true 1
  #define MAX_CLAUSE_VARS 30
  /*#define DEBUG*/
  
  int numVars, numClauses;
  
  struct clause{
  	int id;
  	struct clause *next;  	
  	int vars[MAX_CLAUSE_VARS];  
  	int varsSize;	
  };
  typedef struct clause clause;
  
  clause *clauses = NULL; 
  int *variables = NULL;
  int *minsat = NULL;
  
  boolean readCNF(char*);
  int findNumberOfSATClauses();
  void changeTruthAssignment();
  void printAssignmentsAndSATClauses();
  void copyAssignmentToSolution();
  int findMINSAT();
  void printSolution();

#endif /*GSCMINSAT_H_*/
